IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/72
Addresses2^56
/64 networksPart of one
- Network
2001:db8:0:0:4500::/72- First address
2001:db8:0:0:4500::- Last address
2001:db8::45ff:ffff:ffff:ffff- Addresses
- 72,057,594,037,927,936 (2^56)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:4500:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
5.4.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:0:4500::/72 makes 256 subnets of /80.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:0:4500::/80 | 2001:db8::4500:ffff:ffff:ffff |
| 2 | 2001:db8:0:0:4501::/80 | 2001:db8::4501:ffff:ffff:ffff |
| 3 | 2001:db8:0:0:4502::/80 | 2001:db8::4502:ffff:ffff:ffff |
| 4 | 2001:db8:0:0:4503::/80 | 2001:db8::4503:ffff:ffff:ffff |
| 5 | 2001:db8:0:0:4504::/80 | 2001:db8::4504:ffff:ffff:ffff |
| 6 | 2001:db8:0:0:4505::/80 | 2001:db8::4505:ffff:ffff:ffff |
| 7 | 2001:db8:0:0:4506::/80 | 2001:db8::4506:ffff:ffff:ffff |
| 8 | 2001:db8:0:0:4507::/80 | 2001:db8::4507:ffff:ffff:ffff |
| 9 | 2001:db8:0:0:4508::/80 | 2001:db8::4508:ffff:ffff:ffff |
| 10 | 2001:db8:0:0:4509::/80 | 2001:db8::4509:ffff:ffff:ffff |
| 11 | 2001:db8:0:0:450a::/80 | 2001:db8::450a:ffff:ffff:ffff |
| 12 | 2001:db8:0:0:450b::/80 | 2001:db8::450b:ffff:ffff:ffff |
| 13 | 2001:db8:0:0:450c::/80 | 2001:db8::450c:ffff:ffff:ffff |
| 14 | 2001:db8:0:0:450d::/80 | 2001:db8::450d:ffff:ffff:ffff |
| 15 | 2001:db8:0:0:450e::/80 | 2001:db8::450e:ffff:ffff:ffff |
| 16 | 2001:db8:0:0:450f::/80 | 2001:db8::450f:ffff:ffff:ffff |
| 17 | 2001:db8:0:0:4510::/80 | 2001:db8::4510:ffff:ffff:ffff |
| 18 | 2001:db8:0:0:4511::/80 | 2001:db8::4511:ffff:ffff:ffff |
| 19 | 2001:db8:0:0:4512::/80 | 2001:db8::4512:ffff:ffff:ffff |
| 20 | 2001:db8:0:0:4513::/80 | 2001:db8::4513:ffff:ffff:ffff |
| 21 | 2001:db8:0:0:4514::/80 | 2001:db8::4514:ffff:ffff:ffff |
| 22 | 2001:db8:0:0:4515::/80 | 2001:db8::4515:ffff:ffff:ffff |
| 23 | 2001:db8:0:0:4516::/80 | 2001:db8::4516:ffff:ffff:ffff |
| 24 | 2001:db8:0:0:4517::/80 | 2001:db8::4517:ffff:ffff:ffff |
| 25 | 2001:db8:0:0:4518::/80 | 2001:db8::4518:ffff:ffff:ffff |
| 26 | 2001:db8:0:0:4519::/80 | 2001:db8::4519:ffff:ffff:ffff |
| 27 | 2001:db8:0:0:451a::/80 | 2001:db8::451a:ffff:ffff:ffff |
| 28 | 2001:db8:0:0:451b::/80 | 2001:db8::451b:ffff:ffff:ffff |
| 29 | 2001:db8:0:0:451c::/80 | 2001:db8::451c:ffff:ffff:ffff |
| 30 | 2001:db8:0:0:451d::/80 | 2001:db8::451d:ffff:ffff:ffff |
| 31 | 2001:db8:0:0:451e::/80 | 2001:db8::451e:ffff:ffff:ffff |
| 32 | 2001:db8:0:0:451f::/80 | 2001:db8::451f:ffff:ffff:ffff |
| 33 | 2001:db8:0:0:4520::/80 | 2001:db8::4520:ffff:ffff:ffff |
| 34 | 2001:db8:0:0:4521::/80 | 2001:db8::4521:ffff:ffff:ffff |
| 35 | 2001:db8:0:0:4522::/80 | 2001:db8::4522:ffff:ffff:ffff |
| 36 | 2001:db8:0:0:4523::/80 | 2001:db8::4523:ffff:ffff:ffff |
| 37 | 2001:db8:0:0:4524::/80 | 2001:db8::4524:ffff:ffff:ffff |
| 38 | 2001:db8:0:0:4525::/80 | 2001:db8::4525:ffff:ffff:ffff |
| 39 | 2001:db8:0:0:4526::/80 | 2001:db8::4526:ffff:ffff:ffff |
| 40 | 2001:db8:0:0:4527::/80 | 2001:db8::4527:ffff:ffff:ffff |
| 41 | 2001:db8:0:0:4528::/80 | 2001:db8::4528:ffff:ffff:ffff |
| 42 | 2001:db8:0:0:4529::/80 | 2001:db8::4529:ffff:ffff:ffff |
| 43 | 2001:db8:0:0:452a::/80 | 2001:db8::452a:ffff:ffff:ffff |
| 44 | 2001:db8:0:0:452b::/80 | 2001:db8::452b:ffff:ffff:ffff |
| 45 | 2001:db8:0:0:452c::/80 | 2001:db8::452c:ffff:ffff:ffff |
| 46 | 2001:db8:0:0:452d::/80 | 2001:db8::452d:ffff:ffff:ffff |
| 47 | 2001:db8:0:0:452e::/80 | 2001:db8::452e:ffff:ffff:ffff |
| 48 | 2001:db8:0:0:452f::/80 | 2001:db8::452f:ffff:ffff:ffff |
| 49 | 2001:db8:0:0:4530::/80 | 2001:db8::4530:ffff:ffff:ffff |
| 50 | 2001:db8:0:0:4531::/80 | 2001:db8::4531:ffff:ffff:ffff |
| 51 | 2001:db8:0:0:4532::/80 | 2001:db8::4532:ffff:ffff:ffff |
| 52 | 2001:db8:0:0:4533::/80 | 2001:db8::4533:ffff:ffff:ffff |
| 53 | 2001:db8:0:0:4534::/80 | 2001:db8::4534:ffff:ffff:ffff |
| 54 | 2001:db8:0:0:4535::/80 | 2001:db8::4535:ffff:ffff:ffff |
| 55 | 2001:db8:0:0:4536::/80 | 2001:db8::4536:ffff:ffff:ffff |
| 56 | 2001:db8:0:0:4537::/80 | 2001:db8::4537:ffff:ffff:ffff |
| 57 | 2001:db8:0:0:4538::/80 | 2001:db8::4538:ffff:ffff:ffff |
| 58 | 2001:db8:0:0:4539::/80 | 2001:db8::4539:ffff:ffff:ffff |
| 59 | 2001:db8:0:0:453a::/80 | 2001:db8::453a:ffff:ffff:ffff |
| 60 | 2001:db8:0:0:453b::/80 | 2001:db8::453b:ffff:ffff:ffff |
| 61 | 2001:db8:0:0:453c::/80 | 2001:db8::453c:ffff:ffff:ffff |
| 62 | 2001:db8:0:0:453d::/80 | 2001:db8::453d:ffff:ffff:ffff |
| 63 | 2001:db8:0:0:453e::/80 | 2001:db8::453e:ffff:ffff:ffff |
| 64 | 2001:db8:0:0:453f::/80 | 2001:db8::453f:ffff:ffff:ffff |
| 65 | 2001:db8:0:0:4540::/80 | 2001:db8::4540:ffff:ffff:ffff |
| 66 | 2001:db8:0:0:4541::/80 | 2001:db8::4541:ffff:ffff:ffff |
| 67 | 2001:db8:0:0:4542::/80 | 2001:db8::4542:ffff:ffff:ffff |
| 68 | 2001:db8:0:0:4543::/80 | 2001:db8::4543:ffff:ffff:ffff |
| 69 | 2001:db8:0:0:4544::/80 | 2001:db8::4544:ffff:ffff:ffff |
| 70 | 2001:db8:0:0:4545::/80 | 2001:db8::4545:ffff:ffff:ffff |
| 71 | 2001:db8:0:0:4546::/80 | 2001:db8::4546:ffff:ffff:ffff |
| 72 | 2001:db8:0:0:4547::/80 | 2001:db8::4547:ffff:ffff:ffff |
| 73 | 2001:db8:0:0:4548::/80 | 2001:db8::4548:ffff:ffff:ffff |
| 74 | 2001:db8:0:0:4549::/80 | 2001:db8::4549:ffff:ffff:ffff |
| 75 | 2001:db8:0:0:454a::/80 | 2001:db8::454a:ffff:ffff:ffff |
| 76 | 2001:db8:0:0:454b::/80 | 2001:db8::454b:ffff:ffff:ffff |
| 77 | 2001:db8:0:0:454c::/80 | 2001:db8::454c:ffff:ffff:ffff |
| 78 | 2001:db8:0:0:454d::/80 | 2001:db8::454d:ffff:ffff:ffff |
| 79 | 2001:db8:0:0:454e::/80 | 2001:db8::454e:ffff:ffff:ffff |
| 80 | 2001:db8:0:0:454f::/80 | 2001:db8::454f:ffff:ffff:ffff |
| 81 | 2001:db8:0:0:4550::/80 | 2001:db8::4550:ffff:ffff:ffff |
| 82 | 2001:db8:0:0:4551::/80 | 2001:db8::4551:ffff:ffff:ffff |
| 83 | 2001:db8:0:0:4552::/80 | 2001:db8::4552:ffff:ffff:ffff |
| 84 | 2001:db8:0:0:4553::/80 | 2001:db8::4553:ffff:ffff:ffff |
| 85 | 2001:db8:0:0:4554::/80 | 2001:db8::4554:ffff:ffff:ffff |
| 86 | 2001:db8:0:0:4555::/80 | 2001:db8::4555:ffff:ffff:ffff |
| 87 | 2001:db8:0:0:4556::/80 | 2001:db8::4556:ffff:ffff:ffff |
| 88 | 2001:db8:0:0:4557::/80 | 2001:db8::4557:ffff:ffff:ffff |
| 89 | 2001:db8:0:0:4558::/80 | 2001:db8::4558:ffff:ffff:ffff |
| 90 | 2001:db8:0:0:4559::/80 | 2001:db8::4559:ffff:ffff:ffff |
| 91 | 2001:db8:0:0:455a::/80 | 2001:db8::455a:ffff:ffff:ffff |
| 92 | 2001:db8:0:0:455b::/80 | 2001:db8::455b:ffff:ffff:ffff |
| 93 | 2001:db8:0:0:455c::/80 | 2001:db8::455c:ffff:ffff:ffff |
| 94 | 2001:db8:0:0:455d::/80 | 2001:db8::455d:ffff:ffff:ffff |
| 95 | 2001:db8:0:0:455e::/80 | 2001:db8::455e:ffff:ffff:ffff |
| 96 | 2001:db8:0:0:455f::/80 | 2001:db8::455f:ffff:ffff:ffff |
| 97 | 2001:db8:0:0:4560::/80 | 2001:db8::4560:ffff:ffff:ffff |
| 98 | 2001:db8:0:0:4561::/80 | 2001:db8::4561:ffff:ffff:ffff |
| 99 | 2001:db8:0:0:4562::/80 | 2001:db8::4562:ffff:ffff:ffff |
| 100 | 2001:db8:0:0:4563::/80 | 2001:db8::4563:ffff:ffff:ffff |
| 101 | 2001:db8:0:0:4564::/80 | 2001:db8::4564:ffff:ffff:ffff |
| 102 | 2001:db8:0:0:4565::/80 | 2001:db8::4565:ffff:ffff:ffff |
| 103 | 2001:db8:0:0:4566::/80 | 2001:db8::4566:ffff:ffff:ffff |
| 104 | 2001:db8:0:0:4567::/80 | 2001:db8::4567:ffff:ffff:ffff |
| 105 | 2001:db8:0:0:4568::/80 | 2001:db8::4568:ffff:ffff:ffff |
| 106 | 2001:db8:0:0:4569::/80 | 2001:db8::4569:ffff:ffff:ffff |
| 107 | 2001:db8:0:0:456a::/80 | 2001:db8::456a:ffff:ffff:ffff |
| 108 | 2001:db8:0:0:456b::/80 | 2001:db8::456b:ffff:ffff:ffff |
| 109 | 2001:db8:0:0:456c::/80 | 2001:db8::456c:ffff:ffff:ffff |
| 110 | 2001:db8:0:0:456d::/80 | 2001:db8::456d:ffff:ffff:ffff |
| 111 | 2001:db8:0:0:456e::/80 | 2001:db8::456e:ffff:ffff:ffff |
| 112 | 2001:db8:0:0:456f::/80 | 2001:db8::456f:ffff:ffff:ffff |
| 113 | 2001:db8:0:0:4570::/80 | 2001:db8::4570:ffff:ffff:ffff |
| 114 | 2001:db8:0:0:4571::/80 | 2001:db8::4571:ffff:ffff:ffff |
| 115 | 2001:db8:0:0:4572::/80 | 2001:db8::4572:ffff:ffff:ffff |
| 116 | 2001:db8:0:0:4573::/80 | 2001:db8::4573:ffff:ffff:ffff |
| 117 | 2001:db8:0:0:4574::/80 | 2001:db8::4574:ffff:ffff:ffff |
| 118 | 2001:db8:0:0:4575::/80 | 2001:db8::4575:ffff:ffff:ffff |
| 119 | 2001:db8:0:0:4576::/80 | 2001:db8::4576:ffff:ffff:ffff |
| 120 | 2001:db8:0:0:4577::/80 | 2001:db8::4577:ffff:ffff:ffff |
| 121 | 2001:db8:0:0:4578::/80 | 2001:db8::4578:ffff:ffff:ffff |
| 122 | 2001:db8:0:0:4579::/80 | 2001:db8::4579:ffff:ffff:ffff |
| 123 | 2001:db8:0:0:457a::/80 | 2001:db8::457a:ffff:ffff:ffff |
| 124 | 2001:db8:0:0:457b::/80 | 2001:db8::457b:ffff:ffff:ffff |
| 125 | 2001:db8:0:0:457c::/80 | 2001:db8::457c:ffff:ffff:ffff |
| 126 | 2001:db8:0:0:457d::/80 | 2001:db8::457d:ffff:ffff:ffff |
| 127 | 2001:db8:0:0:457e::/80 | 2001:db8::457e:ffff:ffff:ffff |
| 128 | 2001:db8:0:0:457f::/80 | 2001:db8::457f:ffff:ffff:ffff |
| 129 | 2001:db8:0:0:4580::/80 | 2001:db8::4580:ffff:ffff:ffff |
| 130 | 2001:db8:0:0:4581::/80 | 2001:db8::4581:ffff:ffff:ffff |
| 131 | 2001:db8:0:0:4582::/80 | 2001:db8::4582:ffff:ffff:ffff |
| 132 | 2001:db8:0:0:4583::/80 | 2001:db8::4583:ffff:ffff:ffff |
| 133 | 2001:db8:0:0:4584::/80 | 2001:db8::4584:ffff:ffff:ffff |
| 134 | 2001:db8:0:0:4585::/80 | 2001:db8::4585:ffff:ffff:ffff |
| 135 | 2001:db8:0:0:4586::/80 | 2001:db8::4586:ffff:ffff:ffff |
| 136 | 2001:db8:0:0:4587::/80 | 2001:db8::4587:ffff:ffff:ffff |
| 137 | 2001:db8:0:0:4588::/80 | 2001:db8::4588:ffff:ffff:ffff |
| 138 | 2001:db8:0:0:4589::/80 | 2001:db8::4589:ffff:ffff:ffff |
| 139 | 2001:db8:0:0:458a::/80 | 2001:db8::458a:ffff:ffff:ffff |
| 140 | 2001:db8:0:0:458b::/80 | 2001:db8::458b:ffff:ffff:ffff |
| 141 | 2001:db8:0:0:458c::/80 | 2001:db8::458c:ffff:ffff:ffff |
| 142 | 2001:db8:0:0:458d::/80 | 2001:db8::458d:ffff:ffff:ffff |
| 143 | 2001:db8:0:0:458e::/80 | 2001:db8::458e:ffff:ffff:ffff |
| 144 | 2001:db8:0:0:458f::/80 | 2001:db8::458f:ffff:ffff:ffff |
| 145 | 2001:db8:0:0:4590::/80 | 2001:db8::4590:ffff:ffff:ffff |
| 146 | 2001:db8:0:0:4591::/80 | 2001:db8::4591:ffff:ffff:ffff |
| 147 | 2001:db8:0:0:4592::/80 | 2001:db8::4592:ffff:ffff:ffff |
| 148 | 2001:db8:0:0:4593::/80 | 2001:db8::4593:ffff:ffff:ffff |
| 149 | 2001:db8:0:0:4594::/80 | 2001:db8::4594:ffff:ffff:ffff |
| 150 | 2001:db8:0:0:4595::/80 | 2001:db8::4595:ffff:ffff:ffff |
| 151 | 2001:db8:0:0:4596::/80 | 2001:db8::4596:ffff:ffff:ffff |
| 152 | 2001:db8:0:0:4597::/80 | 2001:db8::4597:ffff:ffff:ffff |
| 153 | 2001:db8:0:0:4598::/80 | 2001:db8::4598:ffff:ffff:ffff |
| 154 | 2001:db8:0:0:4599::/80 | 2001:db8::4599:ffff:ffff:ffff |
| 155 | 2001:db8:0:0:459a::/80 | 2001:db8::459a:ffff:ffff:ffff |
| 156 | 2001:db8:0:0:459b::/80 | 2001:db8::459b:ffff:ffff:ffff |
| 157 | 2001:db8:0:0:459c::/80 | 2001:db8::459c:ffff:ffff:ffff |
| 158 | 2001:db8:0:0:459d::/80 | 2001:db8::459d:ffff:ffff:ffff |
| 159 | 2001:db8:0:0:459e::/80 | 2001:db8::459e:ffff:ffff:ffff |
| 160 | 2001:db8:0:0:459f::/80 | 2001:db8::459f:ffff:ffff:ffff |
| 161 | 2001:db8:0:0:45a0::/80 | 2001:db8::45a0:ffff:ffff:ffff |
| 162 | 2001:db8:0:0:45a1::/80 | 2001:db8::45a1:ffff:ffff:ffff |
| 163 | 2001:db8:0:0:45a2::/80 | 2001:db8::45a2:ffff:ffff:ffff |
| 164 | 2001:db8:0:0:45a3::/80 | 2001:db8::45a3:ffff:ffff:ffff |
| 165 | 2001:db8:0:0:45a4::/80 | 2001:db8::45a4:ffff:ffff:ffff |
| 166 | 2001:db8:0:0:45a5::/80 | 2001:db8::45a5:ffff:ffff:ffff |
| 167 | 2001:db8:0:0:45a6::/80 | 2001:db8::45a6:ffff:ffff:ffff |
| 168 | 2001:db8:0:0:45a7::/80 | 2001:db8::45a7:ffff:ffff:ffff |
| 169 | 2001:db8:0:0:45a8::/80 | 2001:db8::45a8:ffff:ffff:ffff |
| 170 | 2001:db8:0:0:45a9::/80 | 2001:db8::45a9:ffff:ffff:ffff |
| 171 | 2001:db8:0:0:45aa::/80 | 2001:db8::45aa:ffff:ffff:ffff |
| 172 | 2001:db8:0:0:45ab::/80 | 2001:db8::45ab:ffff:ffff:ffff |
| 173 | 2001:db8:0:0:45ac::/80 | 2001:db8::45ac:ffff:ffff:ffff |
| 174 | 2001:db8:0:0:45ad::/80 | 2001:db8::45ad:ffff:ffff:ffff |
| 175 | 2001:db8:0:0:45ae::/80 | 2001:db8::45ae:ffff:ffff:ffff |
| 176 | 2001:db8:0:0:45af::/80 | 2001:db8::45af:ffff:ffff:ffff |
| 177 | 2001:db8:0:0:45b0::/80 | 2001:db8::45b0:ffff:ffff:ffff |
| 178 | 2001:db8:0:0:45b1::/80 | 2001:db8::45b1:ffff:ffff:ffff |
| 179 | 2001:db8:0:0:45b2::/80 | 2001:db8::45b2:ffff:ffff:ffff |
| 180 | 2001:db8:0:0:45b3::/80 | 2001:db8::45b3:ffff:ffff:ffff |
| 181 | 2001:db8:0:0:45b4::/80 | 2001:db8::45b4:ffff:ffff:ffff |
| 182 | 2001:db8:0:0:45b5::/80 | 2001:db8::45b5:ffff:ffff:ffff |
| 183 | 2001:db8:0:0:45b6::/80 | 2001:db8::45b6:ffff:ffff:ffff |
| 184 | 2001:db8:0:0:45b7::/80 | 2001:db8::45b7:ffff:ffff:ffff |
| 185 | 2001:db8:0:0:45b8::/80 | 2001:db8::45b8:ffff:ffff:ffff |
| 186 | 2001:db8:0:0:45b9::/80 | 2001:db8::45b9:ffff:ffff:ffff |
| 187 | 2001:db8:0:0:45ba::/80 | 2001:db8::45ba:ffff:ffff:ffff |
| 188 | 2001:db8:0:0:45bb::/80 | 2001:db8::45bb:ffff:ffff:ffff |
| 189 | 2001:db8:0:0:45bc::/80 | 2001:db8::45bc:ffff:ffff:ffff |
| 190 | 2001:db8:0:0:45bd::/80 | 2001:db8::45bd:ffff:ffff:ffff |
| 191 | 2001:db8:0:0:45be::/80 | 2001:db8::45be:ffff:ffff:ffff |
| 192 | 2001:db8:0:0:45bf::/80 | 2001:db8::45bf:ffff:ffff:ffff |
| 193 | 2001:db8:0:0:45c0::/80 | 2001:db8::45c0:ffff:ffff:ffff |
| 194 | 2001:db8:0:0:45c1::/80 | 2001:db8::45c1:ffff:ffff:ffff |
| 195 | 2001:db8:0:0:45c2::/80 | 2001:db8::45c2:ffff:ffff:ffff |
| 196 | 2001:db8:0:0:45c3::/80 | 2001:db8::45c3:ffff:ffff:ffff |
| 197 | 2001:db8:0:0:45c4::/80 | 2001:db8::45c4:ffff:ffff:ffff |
| 198 | 2001:db8:0:0:45c5::/80 | 2001:db8::45c5:ffff:ffff:ffff |
| 199 | 2001:db8:0:0:45c6::/80 | 2001:db8::45c6:ffff:ffff:ffff |
| 200 | 2001:db8:0:0:45c7::/80 | 2001:db8::45c7:ffff:ffff:ffff |
| 201 | 2001:db8:0:0:45c8::/80 | 2001:db8::45c8:ffff:ffff:ffff |
| 202 | 2001:db8:0:0:45c9::/80 | 2001:db8::45c9:ffff:ffff:ffff |
| 203 | 2001:db8:0:0:45ca::/80 | 2001:db8::45ca:ffff:ffff:ffff |
| 204 | 2001:db8:0:0:45cb::/80 | 2001:db8::45cb:ffff:ffff:ffff |
| 205 | 2001:db8:0:0:45cc::/80 | 2001:db8::45cc:ffff:ffff:ffff |
| 206 | 2001:db8:0:0:45cd::/80 | 2001:db8::45cd:ffff:ffff:ffff |
| 207 | 2001:db8:0:0:45ce::/80 | 2001:db8::45ce:ffff:ffff:ffff |
| 208 | 2001:db8:0:0:45cf::/80 | 2001:db8::45cf:ffff:ffff:ffff |
| 209 | 2001:db8:0:0:45d0::/80 | 2001:db8::45d0:ffff:ffff:ffff |
| 210 | 2001:db8:0:0:45d1::/80 | 2001:db8::45d1:ffff:ffff:ffff |
| 211 | 2001:db8:0:0:45d2::/80 | 2001:db8::45d2:ffff:ffff:ffff |
| 212 | 2001:db8:0:0:45d3::/80 | 2001:db8::45d3:ffff:ffff:ffff |
| 213 | 2001:db8:0:0:45d4::/80 | 2001:db8::45d4:ffff:ffff:ffff |
| 214 | 2001:db8:0:0:45d5::/80 | 2001:db8::45d5:ffff:ffff:ffff |
| 215 | 2001:db8:0:0:45d6::/80 | 2001:db8::45d6:ffff:ffff:ffff |
| 216 | 2001:db8:0:0:45d7::/80 | 2001:db8::45d7:ffff:ffff:ffff |
| 217 | 2001:db8:0:0:45d8::/80 | 2001:db8::45d8:ffff:ffff:ffff |
| 218 | 2001:db8:0:0:45d9::/80 | 2001:db8::45d9:ffff:ffff:ffff |
| 219 | 2001:db8:0:0:45da::/80 | 2001:db8::45da:ffff:ffff:ffff |
| 220 | 2001:db8:0:0:45db::/80 | 2001:db8::45db:ffff:ffff:ffff |
| 221 | 2001:db8:0:0:45dc::/80 | 2001:db8::45dc:ffff:ffff:ffff |
| 222 | 2001:db8:0:0:45dd::/80 | 2001:db8::45dd:ffff:ffff:ffff |
| 223 | 2001:db8:0:0:45de::/80 | 2001:db8::45de:ffff:ffff:ffff |
| 224 | 2001:db8:0:0:45df::/80 | 2001:db8::45df:ffff:ffff:ffff |
| 225 | 2001:db8:0:0:45e0::/80 | 2001:db8::45e0:ffff:ffff:ffff |
| 226 | 2001:db8:0:0:45e1::/80 | 2001:db8::45e1:ffff:ffff:ffff |
| 227 | 2001:db8:0:0:45e2::/80 | 2001:db8::45e2:ffff:ffff:ffff |
| 228 | 2001:db8:0:0:45e3::/80 | 2001:db8::45e3:ffff:ffff:ffff |
| 229 | 2001:db8:0:0:45e4::/80 | 2001:db8::45e4:ffff:ffff:ffff |
| 230 | 2001:db8:0:0:45e5::/80 | 2001:db8::45e5:ffff:ffff:ffff |
| 231 | 2001:db8:0:0:45e6::/80 | 2001:db8::45e6:ffff:ffff:ffff |
| 232 | 2001:db8:0:0:45e7::/80 | 2001:db8::45e7:ffff:ffff:ffff |
| 233 | 2001:db8:0:0:45e8::/80 | 2001:db8::45e8:ffff:ffff:ffff |
| 234 | 2001:db8:0:0:45e9::/80 | 2001:db8::45e9:ffff:ffff:ffff |
| 235 | 2001:db8:0:0:45ea::/80 | 2001:db8::45ea:ffff:ffff:ffff |
| 236 | 2001:db8:0:0:45eb::/80 | 2001:db8::45eb:ffff:ffff:ffff |
| 237 | 2001:db8:0:0:45ec::/80 | 2001:db8::45ec:ffff:ffff:ffff |
| 238 | 2001:db8:0:0:45ed::/80 | 2001:db8::45ed:ffff:ffff:ffff |
| 239 | 2001:db8:0:0:45ee::/80 | 2001:db8::45ee:ffff:ffff:ffff |
| 240 | 2001:db8:0:0:45ef::/80 | 2001:db8::45ef:ffff:ffff:ffff |
| 241 | 2001:db8:0:0:45f0::/80 | 2001:db8::45f0:ffff:ffff:ffff |
| 242 | 2001:db8:0:0:45f1::/80 | 2001:db8::45f1:ffff:ffff:ffff |
| 243 | 2001:db8:0:0:45f2::/80 | 2001:db8::45f2:ffff:ffff:ffff |
| 244 | 2001:db8:0:0:45f3::/80 | 2001:db8::45f3:ffff:ffff:ffff |
| 245 | 2001:db8:0:0:45f4::/80 | 2001:db8::45f4:ffff:ffff:ffff |
| 246 | 2001:db8:0:0:45f5::/80 | 2001:db8::45f5:ffff:ffff:ffff |
| 247 | 2001:db8:0:0:45f6::/80 | 2001:db8::45f6:ffff:ffff:ffff |
| 248 | 2001:db8:0:0:45f7::/80 | 2001:db8::45f7:ffff:ffff:ffff |
| 249 | 2001:db8:0:0:45f8::/80 | 2001:db8::45f8:ffff:ffff:ffff |
| 250 | 2001:db8:0:0:45f9::/80 | 2001:db8::45f9:ffff:ffff:ffff |
| 251 | 2001:db8:0:0:45fa::/80 | 2001:db8::45fa:ffff:ffff:ffff |
| 252 | 2001:db8:0:0:45fb::/80 | 2001:db8::45fb:ffff:ffff:ffff |
| 253 | 2001:db8:0:0:45fc::/80 | 2001:db8::45fc:ffff:ffff:ffff |
| 254 | 2001:db8:0:0:45fd::/80 | 2001:db8::45fd:ffff:ffff:ffff |
| 255 | 2001:db8:0:0:45fe::/80 | 2001:db8::45fe:ffff:ffff:ffff |
| 256 | 2001:db8:0:0:45ff::/80 | 2001:db8::45ff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |